org.springframework.cloud.dataflow.server.repository.support

## Class SearchPageable

- java.lang.Object
- - org.springframework.cloud.dataflow.server.repository.support.SearchPageable

-     public class SearchPageable
      extends Object

  Simple class that is composed of a `Pageable` and several properties to encapsulate findByTaskNameContains queries.
  Author:
    Gunnar Hillert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchPageable(org.springframework.data.domain.Pageable pageable, String searchQuery)` Initialize a `SearchPageable`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addColumns(String... columns)` Allows you to add additional columns.
    `LinkedHashSet<String>` | `getColumns()`
    `org.springframework.data.domain.Pageable` | `getPageable()`
    `String` | `getSearchQuery()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SearchPageable

          public SearchPageable(org.springframework.data.domain.Pageable pageable,
                                String searchQuery)

      Initialize a `SearchPageable`. Must provide a `Pageable` and a searchQuery. Don't forget to also provide the column names for the findByTaskNameContains using `addColumns(String...)`.
      Parameters:
        `pageable` - Must not be null
        `searchQuery` - Must not be empty

  - ### Method Detail

    - #### getPageable

          public org.springframework.data.domain.Pageable getPageable()

      Returns:
        Never null

    - #### getSearchQuery

          public String getSearchQuery()

      Returns:
        SearchQuery will never be empty.

    - #### getColumns

          public LinkedHashSet<String> getColumns()

      Returns:
        A set with the specified column names

    - #### addColumns

          public void addColumns(String... columns)

      Allows you to add additional columns.
      Parameters:
        `columns` - Must not be null or empty

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.